Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ServicesC.i File Reference

This graph shows which files directly or indirectly include this file:

## Functions
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::ServiceDetail &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::ServiceDetail &_tao_aggregate)
CORBA::Boolean TAO_Export | operator<< (TAO_OutputCDR &, const CORBA::ServiceInformation::_tao_seq_CORBA_ServiceOption_ &)
CORBA::Boolean TAO_Export | operator>> (TAO_InputCDR &, CORBA::ServiceInformation::_tao_seq_CORBA_ServiceOption_ &)
CORBA::Boolean TAO_Export | operator<< (TAO_OutputCDR &, const CORBA::ServiceInformation::_tao_seq_CORBA_ServiceDetail_ &)
CORBA::Boolean TAO_Export | operator>> (TAO_InputCDR &, CORBA::ServiceInformation::_tao_seq_CORBA_ServiceDetail_ &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::ServiceInformation &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::ServiceInformation &_tao_aggregate)

## Function Documentation

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::ServiceInformation & | _tao_aggregate
| ) |

CORBA::Boolean TAO_Export operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::ServiceInformation::_tao_seq_CORBA_ServiceDetail_ & |
| ) |

CORBA::Boolean TAO_Export operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::ServiceInformation::_tao_seq_CORBA_ServiceOption_ & |
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::ServiceDetail & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::ServiceInformation & | _tao_aggregate
| ) |

CORBA::Boolean TAO_Export operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::ServiceInformation::_tao_seq_CORBA_ServiceDetail_ & |
| ) |

CORBA::Boolean TAO_Export operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::ServiceInformation::_tao_seq_CORBA_ServiceOption_ & |
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::ServiceDetail & | _tao_aggregate
| ) |